<div class="row">
	<div class="tabs-container">
		<ul class="nav nav-tabs">
			<li class="active">
				<a href="#corte-x-tab" data-toggle="tab" aria-expanded="true">Corte X</a>
			</li>
			<li>
				<a href="#corte-z-tab" data-toggle="tab" aria-expanded="false">Corte Z</a>
			</li>
			<!--<li>
				<a href="#corte-z-mensual-tab" data-toggle="tab" aria-expanded="false">Corte Z mensual</a>
			</li>-->
		</ul>
		<div class="tab-content">
			<div id="corte-x-tab" class="tab-pane active">
				<div class="panel-body">
					<?php if($caja_estado==0):?>
					<p>Esta funci&oacute;n generar&aacute; un reporte inicial sobre las transacciones realizadas en esta caja y habilitar&aacute; la caja</p>
					<div class="hr-line-dashed"></div>
					<div class="row">
						<label class="control-label col-sm-4">Efectivo para cambio:</label>
						<div class="col-md-5">
							<div class="input-group">
								<span class="input-group-addon">$</span>
								<input type='text' class="form-control" id="cortex-dotacion-txt">
							</div>
						</div>
					</div>
					<div class="hr-line-dashed"></div>
					<p class="text-center">
						<button type="button" class="btn btn-info" id="generate-corte-x-btn">Generar Corte X inicial</button>
					</p>
				<?php else:?>
					<p>Esta funci&oacute;n generar&aacute; un reporte parcial sobre las transacciones realizadas en esta caja.</p>
					<div class="hr-line-dashed"></div>
					<p class="text-center">
						<button type="button" class="btn btn-info" id="generate-corte-x-parcial-btn">Generar Corte X parcial</button>
					</p>
				<?php endif;?>
				</div>
			</div>
			<!---->
			<div id="corte-z-tab" class="tab-pane">
				<div class="panel-body">
					<p>Esta funci&oacute;n generar&aacute; un reporte sobre las transacciones realizadas en esta caja y adem&aacute;s cerrar&aacute; las aplicaciones de caja hasta el proximo corte X</p>
					<div class="hr-line-dashed"></div>
					<p class="text-center">
						<button type="button" class="btn btn-danger" id="generate-corte-z-btn" <?php if($caja_estado==0) echo "disabled";?>>Generar Corte Z</button>
					</p>
				</div>
			</div>
			<!--
			<div id="corte-z-mensual-tab" class="tab-pane">
				<div class="panel-body">
					<p>Esta funci&oacute;n generar&aacute; un reporte en papel sobre las transacciones realizadas en esta caja desde el 01 al 30 de Septiembre 2015</p>
					<div class="hr-line-dashed"></div>
					<p class="text-center">
						<button type="button" class="btn btn-danger">Generar Corte X</button>
					</p>
				</div>
			</div>-->
		</div>
	</div>
</div>
<script>
	$("#generate-corte-x-btn").click(function(e){
		e.preventDefault();
		if($.trim($("#cortex-dotacion-txt").val())!=''){
			if(!isNaN($("#cortex-dotacion-txt").val())){
				Custombox.open({
					target:"<?php echo base_url('transacciones/makecorte');?>?type=0&dotacion="+$("#cortex-dotacion-txt").val(),
					effect: 'fadein',
					overlayClose:false,
					close:function(){
						window.location.reload(true);
					}
				}); 
			}else{
				toastr.options = {
				  "closeButton": true,
				  "progressBar": true,
				  "positionClass": "toast-top-right"
				}
				toastr.error('Ingrese una cantidad v&aacute;ilida para cambio.');
				$("#cortex-dotacion-txt").focus();
			}
		}else{
			toastr.options = {
			  "closeButton": true,
			  "progressBar": true,
			  "positionClass": "toast-top-right"
			}
			toastr.error('Ingrese una cantidad v&aacute;ilida para cambio.');
			$("#cortex-dotacion-txt").focus();
		}
	});
	
	$("#generate-corte-x-parcial-btn").click(function(e){
		e.preventDefault();
		Custombox.open({
            target:"<?php echo base_url('transacciones/makecorte');?>?type=1",
            effect: 'fadein',
			overlayClose:false,
			close:function(){
				window.location.reload(true);
			}
        });
	});

	$("#generate-corte-z-btn").click(function(e){
		e.preventDefault();
		Custombox.open({
            target:"<?php echo base_url('transacciones/makecorte');?>?type=2",
            effect: 'fadein',
			overlayClose:false,
			close:function(){
				window.location.reload(true);
			}
        });
	});
</script>